<template>
  <div>

    <br/>

    <div>
      <div v-if="sensordatas.toString().length > 3">

        <button type="button" class="btn btn-primary" v-on:click="goToArchive()">Sprawdź więcej danych</button>

        <br/> <br/> <br/>

        <div v-if="actualSensorData.toString().length > 3">
          <h3>Dzisiejsze dane:</h3>
          <ActualTempChart v-bind:passeddata="actualSensorData"></ActualTempChart>
          <ActualHumidChart v-bind:passeddata="actualSensorData"></ActualHumidChart>
        </div>

        <div v-if="actualSensorData.toString().length < 3">
          <h3>Brak dzisiejszych danych!</h3>
        </div>

        <br/> <br/> <br/>

      </div>
    </div>

    <div class="card mb-3" v-if="sensordatas.toString().length < 3">
      <strong>Brak danych! </strong>
    </div>

  </div>
</template>

<script>
import SensorService from "@/services/sensor.service";
import ActualTempChart from "@/views/SensorData/ActualTempChart";
import ActualHumidChart from "@/views/SensorData/ActualHumidChart";

export default {
  name: "Sensor",
  components: {
    ActualTempChart,
    ActualHumidChart
  },
  data() {
    return {
      sensordatas: '',
      actualSensorData: ''
    }
  },

  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },

  mounted() {

    if (this.$route.query.sensorId) {
      SensorService.getSensorDataBySensorId(this.$route.query.sensorId).then(
          response => {
            this.sensordatas = response.data;
            this.gotSensorData = true
          },
          error => {
            this.sensordatas =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );


      SensorService.getActualSensorData(this.$route.query.sensorId).then(
          response => {
            this.actualSensorData = response.data;
            this.$emit('passeddata', this.actualSensorData);
          },
          error => {
            this.sensordatas =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );

    }

  },
  methods: {

    goToArchive() {
      if (!this.currentUser)
        this.$router.push('/login');
      else if (this.$route.query.sensorId)
        this.$router.push('/sensorarchive?sensorId=' + this.$route.query.sensorId);

    }

  }
}

</script>


<style scoped>

</style>